org.apache.pdfbox.pdmodel.graphics.state

## Enum RenderingMode

- java.lang.Object
- - java.lang.Enum<RenderingMode>
  - - org.apache.pdfbox.pdmodel.graphics.state.RenderingMode

All Implemented Interfaces:
  Serializable, Comparable<RenderingMode>

    public enum RenderingMode
    extends Enum<RenderingMode>

Text Rendering Mode.

Author:
  John Hewson

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FILL` Fill text.
`FILL_CLIP` Fill text and add to path for clipping.
`FILL_STROKE` Fill, then stroke text.
`FILL_STROKE_CLIP` Fill, then stroke text and add to path for clipping.
`NEITHER` Neither fill nor stroke text (invisible)
`NEITHER_CLIP` Add text to path for clipping.
`STROKE` Stroke text.
`STROKE_CLIP` Stroke text and add to path for clipping.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static RenderingMode` `fromInt(int value)`
`int` `intValue()` Returns the integer value of this mode, as used in a PDF file.
`boolean` `isClip()` Returns true is this mode clips text.
`boolean` `isFill()` Returns true is this mode fills text.
`boolean` `isStroke()` Returns true is this mode strokes text.
`static RenderingMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RenderingMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FILL

    public static final RenderingMode FILL

Fill text.

#### STROKE

    public static final RenderingMode STROKE

Stroke text.

#### FILL_STROKE

    public static final RenderingMode FILL_STROKE

Fill, then stroke text.

#### NEITHER

    public static final RenderingMode NEITHER

Neither fill nor stroke text (invisible)

#### FILL_CLIP

    public static final RenderingMode FILL_CLIP

Fill text and add to path for clipping.

#### STROKE_CLIP

    public static final RenderingMode STROKE_CLIP

Stroke text and add to path for clipping.

#### FILL_STROKE_CLIP

    public static final RenderingMode FILL_STROKE_CLIP

Fill, then stroke text and add to path for clipping.

#### NEITHER_CLIP

    public static final RenderingMode NEITHER_CLIP

Add text to path for clipping.

### Method Detail

#### values

    public static RenderingMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RenderingMode c : RenderingMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RenderingMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromInt

    public static RenderingMode fromInt(int value)

#### intValue

    public int intValue()

Returns the integer value of this mode, as used in a PDF file.

#### isFill

    public boolean isFill()

Returns true is this mode fills text.

#### isStroke

    public boolean isStroke()

Returns true is this mode strokes text.

#### isClip

    public boolean isClip()

Returns true is this mode clips text.